import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import TextIcon from './index';

test('TextIcon renders correctly', () => {
  const tree = renderer.create(
    <div>
      <TextIcon name="doc">dummy text</TextIcon>
      <TextIcon name="doc-text">dummy text</TextIcon>
      <TextIcon name="does-not-exists">does not exists text</TextIcon>
    </div>
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
